%define name    esvn
%define version 0.6.12
%define release %mkrel 2
%define epoch   1
%define summary The eSvn is a cross-platform (QT-based) GUI for Subversion

Summary:   %{summary}
Name:      %{name}
Version:   %{version}
Release:   %{release}
Epoch:     %{epoch}
License:   GPLv2+
Source:    %{name}-%{version}-1.tar.gz
Group:     Development/KDE and Qt
URL:       http://esvn.umputun.com/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: qt3-devel
BuildRequires: dos2unix
Requires: subversion

%description
The eSvn is a cross-platform (QT-based) GUI frontend for the 
Subversion revision system.

%prep
%setup -qn %{name}


%build
perl -i -pe 's|qmake|/usr/lib/qt3/bin/qmake|g' Makefile
%make


%install
rm -Rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_bindir}
install -m755 esvn %{buildroot}%{_bindir}/%{name}
install -m755 esvn-diff-wrapper %{buildroot}%{_bindir}
dos2unix -U COPYING

# Install icon files
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_liconsdir}
install -m644 %{name}.png %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{name}.png %{buildroot}%{_liconsdir}/%{name}.png

# Create and install menu file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=The eSvn is a cross-platform (QT-based) GUI for Subversion
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;X-MandrivaLinux-MoreApplications-Development-Tools;Development;RevisionControl;
EOF


%clean
rm -Rf $RPM_BUILD_ROOT


%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root,0755)
%doc AUTHORS  COPYING  LICENSE  README  VERSION  ChangeLog
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop
%defattr(-,root,root,0755)
%{_bindir}/%{name}
%{_bindir}/esvn-diff-wrapper


%changelog
* Thu Sep 03 2009 Thierry Vignaud <tvignaud@mandriva.com> 1:0.6.12-2mdv2010.0
+ Revision: 428628
- rebuild

* Sun Aug 24 2008 trem <trem@mandriva.org> 1:0.6.12-1mdv2009.0
+ Revision: 275588
- back to 0.6.12 (use epoch 1)
- remove useless *.png
- remove patch esvn_fix_cmd_lineedit.patch

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Apr 25 2007 trem <trem@mandriva.org> 0.7.0-0.svn1263.1mdv2008.0
+ Revision: 18365
- port to 0.7.0 svn1263


* Thu Sep 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.11-6mdv2007.0
- XDG ( twice )

* Mon Sep 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.11-4mdv2007.0
- Add BuildRequires

* Mon Sep 11 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.11-4mdv2007.0
- XDG

* Mon Mar 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.11-3mdk
- Add BuildRequires

* Fri Jan 13 2006 trem <trem@mandriva.org> 0.6.11-2mdk
- Fix compilation on amd64 (patch0)

* Wed Aug 17 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.11-1mdk
- New release 0.6.11

* Fri Feb 18 2005 Emmanuel Blindauer <mdk@agat.net> 0.6.8-2mdk
- fix for #13724

* Thu Feb 10 2005 Emmanuel Blindauer <mdk@agat.net> 0.6.8-1mdk
- 0.6.8

* Sun Jan 02 2005 Emmanuel Blindauer <mdk@agat.net> 0.6.6-1mdk
- 0.6.6

* Sat Dec 18 2004 Emmanuel Blindauer <mdk@agat.net> 0.6.5-1mdk
- 0.6.5-2
- Added esvn-diff-wrapper utility
- Added menu entry in Development Tools

* Tue Aug 31 2004 Emmanuel Blindauer <mdk@agat.net> 0.6.0-1mdk
- 0.6.0-1

* Wed Aug 11 2004 Emmanuel Blindauer <mdk@agat.net> 0.4.1-3mdk
- Don't forget the most important part: Requires: subversion!

* Mon Aug 09 2004 Emmanuel Blindauer <mdk@agat.net> 0.4.1-2mdk
- Correct requires on qt3 to libqt3

* Mon Aug 09 2004 Emmanuel Blindauer <mdk@agat.net> 0.4.1-1mdk
- First package (original spec from Michael Lang  Michael.Lang at chester . at

